    Return the preferences for the given contour type.

get_contour_prefs(contourtype, id=None)
contourtype - str
id - int or str, optional

Change the contours of the model to be drawn partly opaque (with the matplotlib backend):

>>> prefs = get_contour_prefs("data") >>> prefs['alpha'] = 0.7 >>> contour_data() >>> contour_model(overcontour=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
contourtype
The contour type, such as "data", "model", or "resid". The "fit" argument is not supported.
id
The data set that provides the data. If not given then the default identifier is used, as returned by `get_default_id` .

The return value from this function is:

prefs -- Changing the values of this dictionary will change any new contour plots. This dictionary will be empty if no plot backend is available.

Notes

The meaning of the fields depend on the chosen plot backend. A value of none means to use the default value for that attribute, or not to use that setting.

The "fit" argument can not be used, even though there is a get_fit_contour call. Either use the "data" or "model" arguments to access the desired plot type, or use get_fit_contour() and access the datacontour and modelcontour attributes directly.

Changes in CIAO

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023